ansible-lint

From wikieduonline
Jump to navigation Jump to search

ansible-lint checks playbooks for practices and behaviour that could potentially be improved. As a community backed project ansible-lint supports only the last two major versions of Ansible.


ansible-lint your-playbook.yml
We were unable to read either as JSON nor YAML, these are the errors we got from each:
JSON: Expecting value: line 2 column 1 (char 1)

Syntax Error while loading YAML.
  mapping values are not allowed in this context

The error appears to be in '/home/ubuntu/your-playbook.yml': line 9, column 34, but may
be elsewhere in the file depending on the exact syntax problem.

The offending line appears to be:

    - name: Add a user to a password file and ensure permissions are set
       community.general.htpasswd:
                                 ^ here

Related commands[edit]

See also[edit]